gnash(1)

NAME
gnash - GNU Flash Player

SYNOPSIS
gnash [OPTION]... [FILE]...

DESCRIPTION
gnash is a GNU project to create a free software player and web browser (Mozilla-based and Konqueror) plugin for the Adobe Flash format. Currently the player can play Flash files, called SWF, up to version 7. Most other free software Flash players can only play up to SWF 4.

OPTIONS

-h --help
    Print usage info.

-s factor
    Scale the movie up/down by the specified factor.

-c  Produce a core file instead of letting SDL trap it

-d num
    Number of milli-seconds to delay in main loop

-v  Be verbose; i.e. print log messages to stdout

-va Be verbose about movie Actions

-vp Be verbose about parsing the movie

-m bias
    Specify the texture LOD bias (float, default is -1.0)

-x ID
    X11 Window ID for display

-w  Produce the disk based debug log

-j width
    Set window width

-k height
    Set window height

-1  Play once; exit when/if movie reaches the last frame

-r [0|1|2|3]
    0 disables renderering and sound (good for batch tests) 1 enables rendering & disables sound 2 enables sound & disables rendering 3 enables both rendering & sound (default)

-t sec
    Timeout and exit after the specified number of seconds

-b bits
    Bit depth of output window (16 or 32, default is 16)

-u url
    Set "real" url of the movie (useful for downloaded movies)

-U url
    Set "base" url for this run (used to resolve relative urls, defaults to movie url)

-P param
    Set parameter (ie. "FlashVars=A=1&b=2")

--version
    Print gnash's version number and exit

KEYS

CTRL-Q
    Quit/Exit

CTRL-W
    Quit/Exit

ESC Quit/Exit

CTRL-P
    Toggle Pause

CTRL-R
    Restart the movie

CTRL-[ or kp-
    Step back one frame

CTRL-] or kp+
    Step forward one frame

CTRL-B
    Toggle background color

BUGS
The best way to report a bug is to use the form at http://savannah.gnu.org/bugs/?group=gnash. The reason for this is that you will then be able to track progress in fixing the problem. Other comments about gnash(1) in general can be sent to the gnash mailing list. To join the list, send email to gnash-request@gnu.org.